

var n, i: integer;

begin
    reset(input, 'necklace.in');
    rewrite(output, 'necklace.out');
    read(n);
    if (n < 6) then begin
        writeln(-1);
        close(input);
        close(output);
        exit;
    end;
    write('0 0 1 0');
    for i := 5 to n do
        write(' 1');
    close(input);
    close(output);
end.